#ifndef DISPLAY_H
#define DISPLAY_H

#include <X11/X.h>
#include <xview/xview.h>
#include <xview/frame.h>
#include <xview/panel.h>
#include <xview/file_chsr.h>
#include <xview/notice.h>

#include "type.h"
#include "hotpage.h"
#include "database.h"
#include "dial.h"

#define UPDATE_TYPE	10

extern parent_objects *create_parent(parent_objects *ip,Xv_opaque owner);
extern info_objects *create_info(info_objects *ip,Xv_opaque owner);
extern entry_objects *create_entry(entry_objects *ip,Xv_opaque owner);
extern name_search_objects *create_name_search(name_search_objects *ip,Xv_opaque owner);
extern phone_search_objects *create_phone_search(phone_search_objects *ip,Xv_opaque owner);
extern address_search_objects *create_address_search(address_search_objects *ip,Xv_opaque owner);
extern dial_objects *create_dial(dial_objects *ip,Xv_opaque owner);
extern void classlist_insert(Xv_opaque list,char *class);
extern void entrylist_insert(Xv_opaque list,char *first,char *last,int number);
extern void list_clear(Xv_opaque list);
extern int notice(char *message,Notice_type type,char *button_yes,char *button_no);
extern void display_person_information(void);
extern void foot(char *message);
extern void show_filename(char *filename);
extern void display_modem_setting(void);

#endif
